:root {
    --bg: #FFFCF0;
    --bg-2: #F2F0E5;
    --ui: #E6E4D9;
    --ui-2: #DAD8CE;
    --ui-3: #CECDC3;
    --tx: #100F0F;
    --tx-2: #6F6E69;
    --ye: #AD8301;
    --ye-2: #D0A215;
    --cy: #24837B;
    --cy-2: #3AA99F;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg: #100F0F;
        --bg-2: #1C1B1A;
        --ui: #282726;
        --ui-2: #343331;
        --ui-3: #403E3C;
        --tx: #CECDC3;
        --tx-2: #878580;
        --ye: #D0A215;
        --ye-2: #AD8301;
        --cy: #3AA99F;
        --cy-2: #24837B;
    }
}

/* Set the baseline for rem units */
html { font-size: 2.4vw; }
@media all and (min-width:1000px) { html { font-size: 24px; } }
@media all and (max-width:520px) {
    html { font-size: 18px; }

}

html {
    /* Keep width uniform */
    scrollbar-gutter: stable both-edges;

    /* Colors */
    background-color: var(--bg);
    color: var(--tx);

    /* Global font settings */
    font-family: "Vollkorn", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

body {
    /* Document size */
    width: 100%;
    max-width: 1000px;
    margin-inline: auto;

    /* Font settings */
    line-height: 1.45;
    font-size: 0.91rem;
    text-rendering: optimizeLegibility;
    font-feature-settings: "kern";
}

#cover {
    position: fixed;
}

#coverLogo {
    width: 9rem;
    height: 9rem;
    margin-bottom: 0.2rem;
}

#coverTitle {
    width: 9rem;
    text-align: center;
    display: block;
    font-size: 150%;
    font-weight: 900;
    color: var(--ye);
}

#coverSubtitle {
    color: var(--tx-2);
    white-space: nowrap;
}

#coverNav {
    width: 9rem;
    margin-top: 1rem;
}

#coverNav a {
    display: block;
    margin-bottom: 0.2rem;
    text-align: center;
}

#title {
    font-size: 2.1rem;
    margin-bottom: 0;
    border-bottom: 0.1rem solid var(--ui);
}

#content {
    margin-left: 13.5rem;
}

/* Adjust rendering for mobile */
@media all and (max-width:520px) {
    body {
        padding: 0;
    }
    #cover {
        position: relative;
        width: 9rem;
        margin-inline: auto;
        display: block;
        float: none;
    }
    #content {
        margin: 0;
        padding: 1rem;
    }
}

h1 {
    font-family: "Vollkorn SC", serif;
    font-size: 110%;
}

h2 {
    font-family: "Vollkorn SC", serif;
    font-size: 105%;
}

.hidden {
    display: none;
}

.postLink {
    display: block;
}

a {
    font-family: "Vollkorn SC", serif;
    color: var(--cy);
    text-decoration: none;
}

a:hover {
    color: var(--cy-2);
}

img {
    display: block;
    max-width: 100%;
}

hr {
    border: 0.05rem solid var(--ui);
    margin-block: 1rem;
}

footer {
    text-align: center;
}
